package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.EarnCoinHistoryModel

interface EarnCoinHistoryInteractor {

    interface View {
        fun responseEarnCoinHistorySucceed(earnCoinHistoryList: EarnCoinHistoryModel)
        fun responseEarnCoinHistoryFail(error: VolleyError)
    }

    interface Presenter {
        fun getEarnCoinHistory(phoneNumber: String)
    }

}